Bug 626639 - [abrt] qbittorrent-1:2.3.1-1.fc14: boost::thread::start_thread(): Process /usr/bin/qbittorrent was killed by signal 11 (SIGSEGV)
Summary: [abrt] qbittorrent-1:2.3.1-1.fc14: boost::thread::start_thread(): Process /us...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rb_libtorrent   
(Show other bugs)
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f2ab922d903c8dd172037795b2e...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-24 01:00 UTC by Gene Snider
Modified: 2010-09-04 05:20 UTC (History)
5 users (show)

Fixed In Version: rb_libtorrent-0.14.11-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-04 05:20:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.80 KB, text/plain)
2010-08-24 01:01 UTC, Gene Snider
no flags Details

Description Gene Snider 2010-08-24 01:00:59 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: qbittorrent
comment: qBittorrent works fine with boost-1.44.0-0.5.  This may be a boost problem.
component: qbittorrent
crash_function: boost::thread::start_thread()
executable: /usr/bin/qbittorrent
kernel: 2.6.35.3-10.fc14.x86_64
package: qbittorrent-1:2.3.1-1.fc14
rating: 4
reason: Process /usr/bin/qbittorrent was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1282611454
uid: 500

How to reproduce
-----
1. Updated to boost-1.44.0-1.fc14.
2. Started qBittorrent.
3.

Comment 1 Gene Snider 2010-08-24 01:01:02 UTC
Created an attachment (id=440536)
File: backtrace

Comment 2 Gene Snider 2010-08-24 01:02:52 UTC
Here is the backtrace from the terminal window:

Catching SIGSEGV, please report a bug at http://bug.qbittorrent.org
and provide the following backtrace:
stack trace:
  /lib64/libc.so.6() [0x37e4833f80]
  /usr/lib64/libboost_thread-mt.so.1.44.0 : boost::thread::start_thread()+0x26  [0x7fa7a23037e6]
  /usr/lib64/libtorrent-rasterbar.so.5 : libtorrent::disk_io_thread::disk_io_thread(boost::asio::io_service&, int)+0x474  [0x38c2e0ad84]
  /usr/lib64/libtorrent-rasterbar.so.5 : libtorrent::aux::session_impl::session_impl(std::pair<int, int>, libtorrent::fingerprint const&, char const*)+0x2ee  [0x38c2d2d6be]
  /usr/lib64/libtorrent-rasterbar.so.5 : libtorrent::session::session(libtorrent::fingerprint const&, int)+0x5d  [0x38c2d1fcdd]
  qbittorrent : Bittorrent::Bittorrent()+0x313  [0x484be3]
  qbittorrent : GUI::GUI(QWidget*, QStringList)+0xa57  [0x4e0a77]
  qbittorrent : main()+0x1555  [0x4635c5]
  /lib64/libc.so.6 : __libc_start_main()+0xfd  [0x37e481ecfd]
  qbittorrent() [0x461909]
Segmentation fault (core dumped)

Comment 3 Christophe Dumez 2010-08-24 15:55:40 UTC
I believe that libtorrent-rasterbar and qbittorrent packages should be recompiled after boost update. Was this the case?

This kind of backtrace usually results of running against a different lib than the one it was built against (different versions of the lib)

Comment 4 Denis Arnaud 2010-08-24 20:44:00 UTC
(In reply to comment #3)
> I believe that libtorrent-rasterbar and qbittorrent packages should be
> recompiled after boost update. Was this the case?
> 
> This kind of backtrace usually results of running against a different lib than
> the one it was built against (different versions of the lib)

I fully agree. See my comment on https://bugzilla.redhat.com/show_bug.cgi?id=624937#c23 (same issue, but with Hugin/nona).

Comment 5 Gene Snider 2010-08-24 22:26:43 UTC
I did a rebuild/recompile of rb_libtorrent after installing the new boost, and qBittorrent no longer segmentation faults.

Gene

Comment 6 Fedora Update System 2010-08-25 14:22:15 UTC
rb_libtorrent-0.14.11-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/rb_libtorrent-0.14.11-1.fc14

Comment 7 Toshio Ernie Kuratomi 2010-08-25 16:39:06 UTC
pgordan: Note, leighlinux has requested comaintainership of rb_libtorrent in the pkgdb.  Could be good to consider adding him for situations like this :-)

https://admin.fedoraproject.org/pkgdb/acls/name/rb_libtorrent

Comment 8 Fedora Update System 2010-08-26 02:14:48 UTC
rb_libtorrent-0.14.11-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rb_libtorrent'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rb_libtorrent-0.14.11-1.fc14

Comment 9 Fedora Update System 2010-09-04 05:20:16 UTC
rb_libtorrent-0.14.11-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.